BasicIconFactory (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicIconFactory class
Date: 2016-07-28

javax.swing.plaf.basic

## Class BasicIconFactory

- java.lang.Object
- - javax.swing.plaf.basic.BasicIconFactory

- All Implemented Interfaces:
    Serializable

      public class BasicIconFactory
      extends Object
      implements Serializable

  Factory object that can vend Icons appropriate for the basic L & F.

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BasicIconFactory()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Icon` | `createEmptyFrameIcon()`
    `static Icon` | `getCheckBoxIcon()`
    `static Icon` | `getCheckBoxMenuItemIcon()`
    `static Icon` | `getMenuArrowIcon()`
    `static Icon` | `getMenuItemArrowIcon()`
    `static Icon` | `getMenuItemCheckIcon()`
    `static Icon` | `getRadioButtonIcon()`
    `static Icon` | `getRadioButtonMenuItemIcon()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BasicIconFactory

          public BasicIconFactory()

  - ### Method Detail

    - #### getMenuItemCheckIcon

          public static Icon getMenuItemCheckIcon()

    - #### getMenuItemArrowIcon

          public static Icon getMenuItemArrowIcon()

    - #### getMenuArrowIcon

          public static Icon getMenuArrowIcon()

    - #### getCheckBoxIcon

          public static Icon getCheckBoxIcon()

    - #### getRadioButtonIcon

          public static Icon getRadioButtonIcon()

    - #### getCheckBoxMenuItemIcon

          public static Icon getCheckBoxMenuItemIcon()

    - #### getRadioButtonMenuItemIcon

          public static Icon getRadioButtonMenuItemIcon()

    - #### createEmptyFrameIcon

          public static Icon createEmptyFrameIcon()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.